Bug 55056 - Parallel builds may fail: mv: jay-tmp.out: No such file or directory
Summary: Parallel builds may fail: mv: jay-tmp.out: No such file or directory
Status: REOPENED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks: 59478
  Show dependency tree
 
Reported: 2017-04-12 06:06 UTC by Rolf Bjarne Kvinge [MSFT]
Modified: 2017-09-14 09:33 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 55056 on GitHub or Developer Community if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: GitHub Markdown or Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
REOPENED

Description Rolf Bjarne Kvinge [MSFT] 2017-04-12 06:06:37 UTC
Xamarin.iOS/Mac uses parallel make, and this happened on Jenkins (I've also seen it once locally):

[...]
mkdir -p -- ../../class/lib/xammac_net_4_5/secxml/
CSC     [secxml/xammac_net_4_5] System.dll
CSC     [monotouch_watch] I18N.MidEast.dll
./../jay/jay: 8 shift/reduce conflicts.
CSC     [monotouch_runtime] Mono.CSharp.dll
./../jay/jay: 8 shift/reduce conflicts.
mv: jay-tmp.out: No such file or directory
make[12]: *** [cs-parser.cs] Error 1
make[11]: *** [../../mcs/cs-parser.cs] Error 2
make[10]: *** [do-all] Error 2
make[9]: *** [all-recursive] Error 1
make[8]: *** [all-recursive] Error 1
make[7]: *** [profile-do--monotouch_watch_runtime--all] Error 2
make[7]: *** Waiting for unfinished jobs....

The "./../jay/jay: 8 shift/reduce conflicts." part showing up twice shows that this command is executed twice: https://github.com/mono/mono/blob/3891a89/mcs/mcs/Makefile#L35, which is obviously a problem if it's executed twice at the same time.

Full build log: https://jenkins.mono-project.com/job/xamarin-macios-pr-builder/3504/consoleText
Comment 1 Marek Safar 2017-04-19 06:34:24 UTC
Fixed in master
Comment 2 Sebastien Pouliot 2017-08-03 17:58:31 UTC
https://jenkins.mono-project.com/job/xamarin-macios-pr-builder/4460/consoleFull

There's no PR/revision mentioned so it's not 100% clear* if this was part of 2017-04 or backported.
* Likely not so I'm not re-opening.
Comment 3 Rolf Bjarne Kvinge [MSFT] 2017-09-14 09:33:11 UTC
This is still happening, see bug #59478.